lm.component('lmApp', {
	templateUrl: 'comp/lmApp.' + lmCacheTag + 'html',
	bindings: { },
	$routeConfig: [
	               {path: '/home', name: 'Home', component: 'homePage', useAsDefault: true},
	               {path: '/login', name: 'Login', component: 'pageLogin' },
	               {path: '/files', name: 'Files', component: 'filePage' },
	               {path: '/files/:id', name: 'FilesAndMedia', component: 'filePage' },
	               {path: '/userSettings', name: 'UserSettings', component: 'pageUserSettings' },
	               {path: '/userStats', name: 'UserStats', component: 'pageUserStats' },
	               {path: '/userJobs', name: 'UserJobs', component: 'pageUserJobs' },
	               {path: '/systemUsers', name: 'SystemUsers', component: 'systemPageUsers' },
	               {path: '/systemSettings', name: 'SystemSettings', component: 'systemPageSettings' },
	               {path: '/systemStats', name: 'SystemStats', component: 'systemPageStats' },
	               {path: '/systemConsole', name: 'SystemConsole', component: 'systemPageConsole' },
	               {path: '/systemLogs', name: 'SystemLogs', component: 'systemPageLogs' },
	               {path: '/systemRrd', name: 'SystemRrd', component: 'systemPageRrd' },
	               {path: '/link/:token', name: 'Link', component: 'pageLink' },
	               {path: '/link/:token/:resType/:resId', name: 'Link', component: 'pageLink' }
	],
	controller: function($scope, serviceSidebar) {
		var ctrl = this;
		ctrl.stateSidebar = serviceSidebar.state;
	}

});