/*
 * Params: 
 * name: current playlist name
 */
lm.component('mediaDialogPlaylistSave', {
	templateUrl: 'comp/media/mediaDialogPlaylistSave.' + lmCacheTag + 'html',
	bindings: { lmParams: '<', lmDismiss: '&', lmDone: '&' },
	controller: function($http, serviceLimboMedia) {
		var ctrl = this;

		ctrl.itemName = ''; // Current playlist name
		ctrl.item = {id: 0, name: 'NEW PLAYLIST'};
		ctrl.items = [ctrl.item];
		ctrl.thename = '';
		
		ctrl.$onInit = function() {
			ctrl.itemName = ctrl.lmParams.name;
			
			$http.get(lmBase.url + 'f/playlists/list').then(
				function success(resp) {
					for(x in resp.data) {
						var it = resp.data[x];
						ctrl.items.push(it);
						if(ctrl.itemName == it.name) ctrl.item = it;
					}
				},
				serviceLimboMedia.handleHttpErrorNew
			);
		};
		
		ctrl.ok = function() {
			ctrl.lmDone({result: (0 == ctrl.item.id ? ctrl.thename : ctrl.item.name)});
		};

	}
});
