lm.component('systemPageUsers', {
  templateUrl: 'comp/system/systemPageUsers.' + lmCacheTag + 'html',
  bindings: {
  },
  $canActivate: function($nextInstruction, $prevInstruction, serviceLimboMedia) {
	  return serviceLimboMedia.isAuthenticated();
  },
  controller: function($http, serviceLimboMedia, serviceModal) {
	  var ctrl = this;
	  
		ctrl.users = new Array();
		
		ctrl.loadUsers = function() {
			$http.get(lmBase.url + 'userAdmin/users').then(
				function success(resp) {
					ctrl.users = resp.data;
				},
				serviceLimboMedia.handleHttpErrorNew
			);
		};
		
		ctrl.userEdit = function(valueUser) {
			serviceModal.show('system-dialog-user-edit',{id: valueUser.id}).then(
				  function() { ctrl.loadUsers(); },
				  function() { }
			);
		};
		
		ctrl.userDelete = function(valueUser) {
			serviceModal.show('system-dialog-user-delete',{item: valueUser}).then(
				  function() { ctrl.loadUsers(); },
				  function() { }
			);
		};	
		
		ctrl.onFloaterClick = function(event) {
			serviceModal.show('system-dialog-user-create').then(
				  function() { ctrl.loadUsers(); },
				  function() { }
			);
		};		
		
		ctrl.loadUsers();

  }
});