lm.component('lmUiModal', {
	templateUrl: 'comp/ui/lmUiModal.' + lmCacheTag + 'html',
	bindings: { lmModel: '<' },
	controller: function($scope, $element, $compile, serviceModal) {
		var ctrl = this;
		
		ctrl.container = $element.find('.lm-modal');
		
		ctrl.onBackdrop = function() {
			if(ctrl.lmModel.options.backdropClose) {
				ctrl.onDismiss();
			}
		};
		
		ctrl.onDismiss = function() {
			serviceModal.dismiss(ctrl.lmModel);
		};

		ctrl.onDone = function(result) {
			serviceModal.done(ctrl.lmModel,result);
		};

		ctrl.$onInit = function() {
			var html = '<' + ctrl.lmModel.name + ' lm-params="$ctrl.lmModel.params" lm-state="$ctrl.lmModel.state" lm-dismiss="$ctrl.onDismiss()" lm-done="$ctrl.onDone(result)"></' + ctrl.lmModel.name + '>';
			var element = $compile(html)($scope.$new());
			ctrl.container.html(element);
		};
	}
});
