/*
 * Params:
 * failed: failed files (upload handles)
 */
lm.component('commonDialogUploadFails', {
	templateUrl: 'comp/common/commonDialogUploadFails.' + lmCacheTag + 'html',
	bindings: { lmParams: '<', lmDismiss: '&', lmDone: '&' },
	controller: function($http, serviceLimboMedia, serviceUpload) {
		var ctrl = this;
		ctrl.$onInit = function() {
			ctrl.failed = ctrl.lmParams.failed;
		};
		
		ctrl.removeItem = function(item) {
			var idx = ctrl.failed.indexOf(item);
			if(idx != -1) ctrl.failed.splice(idx, 1);
		};

		ctrl.retryWithOp = function(valueOp) {
			ctrl.failed.forEach(function(item) {
				item.existop = valueOp;
			});
			ctrl.lmDone();
			serviceUpload.uploadFilesFormatted(ctrl.failed);
		};
	}
});
