lm.component('fileDialogFileSettings', {
	templateUrl: 'comp/file/fileDialogFileSettings.' + lmCacheTag + 'html',
	bindings: { lmParams: '<', lmDismiss: '&', lmDone: '&' },
	controller: function($http, serviceLimboMedia) {
		var ctrl = this;

		ctrl.pageSizes = [10,20,50,100,200,500,1000,100000];
		
		ctrl.gallerySizes = ['SMALL','MEDIUM','LARGE'];

		ctrl.settings = null;
		
		ctrl.$onInit = function() {
			ctrl.settings = serviceLimboMedia.getRemoteSettings('files');
			lmBase.defaultSettingsFiles(ctrl.settings);
		};

		ctrl.saveSettings = function() {
			serviceLimboMedia.saveRemoteSettings();
		};
	}
});
