lm.component('fileDialogFolderMount', {
	templateUrl: 'comp/file/fileDialogFolderMount.' + lmCacheTag + 'html',
	bindings: { lmParams: '<', lmDismiss: '&', lmDone: '&' },
	controller: function($http, serviceLimboMedia, serviceNotification) {
		var ctrl = this;
		
		ctrl.name = '';
		ctrl.path = '';
		
		ctrl.browsePathSelected = null;
		ctrl.browsePathChanged = function(browsePath) {
			ctrl.browsePathSelected = browsePath;
			ctrl.path = browsePath ? browsePath.path : '';
		};
		
		ctrl.save = function() {
			if(ctrl.path && ctrl.path != '') {
				var req = {parent: 0, name: ctrl.name, path: ctrl.path };
		
				$http.post(lmBase.url + 'f/folder',req).then(
					function success(resp) {
						serviceNotification.ok('MSG_JOB_STARTED');
						ctrl.lmDone();
					},
					serviceLimboMedia.handleHttpErrorNew
				);
			}
		};
		
	}
});
