lm.component('homeBoxInfo', {
	templateUrl: 'comp/home/homeBoxInfo.' + lmCacheTag + 'html',
	bindings: {
		box: '<',
		cbFrame: '&'
	},
	controller: function($http, serviceLimboMedia, $translate) {
		var ctrl = this;
		ctrl.content = null;
		
		ctrl.$onInit = function() {
			if(ctrl.box.type != 'NEWS' && ctrl.box.type != 'newsBox') return;
			
			$translate('NEWS').then(function (translation) {
				ctrl.cbFrame({title: translation});
			});
			
			$http.get(lmBase.url + 'system/info').then(
				function success(resp) {
					ctrl.content = resp.data;
				},
				serviceLimboMedia.handleHttpErrorNew
			);
		};
	}
});