lm.component('lmMediaPlayer', {
	templateUrl: 'comp/media/lmMediaPlayer.' + lmCacheTag + 'html',
	bindings: { },
	controller: function($scope, $element, serviceMediaPlayer, servicePlayerInternal, serviceFullscreen) {
		var ctrl = this;
		
		ctrl.state = serviceMediaPlayer.state;
		ctrl.fsState = serviceFullscreen.state;
		
		ctrl.showControls = false; // Show/Hide controls in fullscreen mode
		
		ctrl.elementFrame = $element[0].getElementsByClassName('mpFrame')[0];
		ctrl.elementVideo = $element[0].getElementsByClassName('mpVideo')[0];

		ctrl.$onInit = function() {
			servicePlayerInternal.bind(ctrl.elementVideo, ctrl.elementFrame);
		};

		
		ctrl.onControlsShow = function(show) {
			ctrl.showControls = show;
		};
		
		ctrl.onVideoClick = function() {
			ctrl.showControls = !ctrl.showControls;
		};
		
		
	}
});
