lm.component('lmUiCheckbox', {
	templateUrl: 'comp/ui/lmUiCheckbox.' + lmCacheTag + 'html',
	bindings: {
		label: '@',
		ngModel: '=',
		ngDisabled: '=',
		ngChange: '&',
		ngNoClick: '='
	},
  transclude: {
      'labelSlot': '?lmUixLabel'
  },
  controller: function($scope, $element, $timeout) {
	  var ctrl = this;
	  
	  ctrl.onClick = function() {
		  if(ctrl.ngNoClick || ctrl.ngDisabled) return;
		  
		  ctrl.ngModel = !!!ctrl.ngModel;
		  $timeout(function() {
			  // if(ctrl.ngChange) {
				  ctrl.ngChange();
			  // }
		  });
	  }
  }
});
