export type LimboiconsId =
  | "file-audio"
  | "file-download"
  | "file-image"
  | "file-link"
  | "file-note"
  | "file-stream"
  | "file-task"
  | "file-upload"
  | "file-video"
  | "file"
  | "folder-open"
  | "folder"
  | "gen-bookmark"
  | "gen-broom"
  | "gen-check"
  | "gen-clipboard"
  | "gen-close"
  | "gen-copy"
  | "gen-delete"
  | "gen-download"
  | "gen-edit"
  | "gen-eraser"
  | "gen-eye"
  | "gen-hdd"
  | "gen-home"
  | "gen-link-external"
  | "gen-link"
  | "gen-login"
  | "gen-logout"
  | "gen-menu"
  | "gen-minus"
  | "gen-more-v"
  | "gen-move"
  | "gen-network"
  | "gen-note"
  | "gen-ok"
  | "gen-open"
  | "gen-plus"
  | "gen-power"
  | "gen-read"
  | "gen-refresh"
  | "gen-run"
  | "gen-save"
  | "gen-search"
  | "gen-server"
  | "gen-settings"
  | "gen-share"
  | "gen-spinner"
  | "gen-star-filled"
  | "gen-star"
  | "gen-sync"
  | "gen-tag"
  | "gen-toggle-off"
  | "gen-toggle-on"
  | "gen-uncheck"
  | "gen-unlink"
  | "gen-upload"
  | "layout-compress"
  | "layout-expand"
  | "layout-grid"
  | "layout-list"
  | "layout-maximize"
  | "layout-minimize"
  | "map-marker"
  | "map"
  | "media-audio"
  | "media-next"
  | "media-pause"
  | "media-play"
  | "media-player"
  | "media-prev"
  | "media-random"
  | "media-repeat"
  | "media-stop"
  | "media-subtitle"
  | "media-volume-mute"
  | "media-volume-up"
  | "msg-exclamation"
  | "msg-info"
  | "msg-question"
  | "nav-angle-down"
  | "nav-angle-left"
  | "nav-angle-right"
  | "nav-angle-up"
  | "nav-arrow-down"
  | "nav-arrow-left"
  | "nav-arrow-right"
  | "nav-arrow-up"
  | "nav-caret-down"
  | "nav-caret-left"
  | "nav-caret-right"
  | "nav-caret-up";

export type LimboiconsKey =
  | "FileAudio"
  | "FileDownload"
  | "FileImage"
  | "FileLink"
  | "FileNote"
  | "FileStream"
  | "FileTask"
  | "FileUpload"
  | "FileVideo"
  | "File"
  | "FolderOpen"
  | "Folder"
  | "GenBookmark"
  | "GenBroom"
  | "GenCheck"
  | "GenClipboard"
  | "GenClose"
  | "GenCopy"
  | "GenDelete"
  | "GenDownload"
  | "GenEdit"
  | "GenEraser"
  | "GenEye"
  | "GenHdd"
  | "GenHome"
  | "GenLinkExternal"
  | "GenLink"
  | "GenLogin"
  | "GenLogout"
  | "GenMenu"
  | "GenMinus"
  | "GenMoreV"
  | "GenMove"
  | "GenNetwork"
  | "GenNote"
  | "GenOk"
  | "GenOpen"
  | "GenPlus"
  | "GenPower"
  | "GenRead"
  | "GenRefresh"
  | "GenRun"
  | "GenSave"
  | "GenSearch"
  | "GenServer"
  | "GenSettings"
  | "GenShare"
  | "GenSpinner"
  | "GenStarFilled"
  | "GenStar"
  | "GenSync"
  | "GenTag"
  | "GenToggleOff"
  | "GenToggleOn"
  | "GenUncheck"
  | "GenUnlink"
  | "GenUpload"
  | "LayoutCompress"
  | "LayoutExpand"
  | "LayoutGrid"
  | "LayoutList"
  | "LayoutMaximize"
  | "LayoutMinimize"
  | "MapMarker"
  | "Map"
  | "MediaAudio"
  | "MediaNext"
  | "MediaPause"
  | "MediaPlay"
  | "MediaPlayer"
  | "MediaPrev"
  | "MediaRandom"
  | "MediaRepeat"
  | "MediaStop"
  | "MediaSubtitle"
  | "MediaVolumeMute"
  | "MediaVolumeUp"
  | "MsgExclamation"
  | "MsgInfo"
  | "MsgQuestion"
  | "NavAngleDown"
  | "NavAngleLeft"
  | "NavAngleRight"
  | "NavAngleUp"
  | "NavArrowDown"
  | "NavArrowLeft"
  | "NavArrowRight"
  | "NavArrowUp"
  | "NavCaretDown"
  | "NavCaretLeft"
  | "NavCaretRight"
  | "NavCaretUp";

export enum Limboicons {
  FileAudio = "file-audio",
  FileDownload = "file-download",
  FileImage = "file-image",
  FileLink = "file-link",
  FileNote = "file-note",
  FileStream = "file-stream",
  FileTask = "file-task",
  FileUpload = "file-upload",
  FileVideo = "file-video",
  File = "file",
  FolderOpen = "folder-open",
  Folder = "folder",
  GenBookmark = "gen-bookmark",
  GenBroom = "gen-broom",
  GenCheck = "gen-check",
  GenClipboard = "gen-clipboard",
  GenClose = "gen-close",
  GenCopy = "gen-copy",
  GenDelete = "gen-delete",
  GenDownload = "gen-download",
  GenEdit = "gen-edit",
  GenEraser = "gen-eraser",
  GenEye = "gen-eye",
  GenHdd = "gen-hdd",
  GenHome = "gen-home",
  GenLinkExternal = "gen-link-external",
  GenLink = "gen-link",
  GenLogin = "gen-login",
  GenLogout = "gen-logout",
  GenMenu = "gen-menu",
  GenMinus = "gen-minus",
  GenMoreV = "gen-more-v",
  GenMove = "gen-move",
  GenNetwork = "gen-network",
  GenNote = "gen-note",
  GenOk = "gen-ok",
  GenOpen = "gen-open",
  GenPlus = "gen-plus",
  GenPower = "gen-power",
  GenRead = "gen-read",
  GenRefresh = "gen-refresh",
  GenRun = "gen-run",
  GenSave = "gen-save",
  GenSearch = "gen-search",
  GenServer = "gen-server",
  GenSettings = "gen-settings",
  GenShare = "gen-share",
  GenSpinner = "gen-spinner",
  GenStarFilled = "gen-star-filled",
  GenStar = "gen-star",
  GenSync = "gen-sync",
  GenTag = "gen-tag",
  GenToggleOff = "gen-toggle-off",
  GenToggleOn = "gen-toggle-on",
  GenUncheck = "gen-uncheck",
  GenUnlink = "gen-unlink",
  GenUpload = "gen-upload",
  LayoutCompress = "layout-compress",
  LayoutExpand = "layout-expand",
  LayoutGrid = "layout-grid",
  LayoutList = "layout-list",
  LayoutMaximize = "layout-maximize",
  LayoutMinimize = "layout-minimize",
  MapMarker = "map-marker",
  Map = "map",
  MediaAudio = "media-audio",
  MediaNext = "media-next",
  MediaPause = "media-pause",
  MediaPlay = "media-play",
  MediaPlayer = "media-player",
  MediaPrev = "media-prev",
  MediaRandom = "media-random",
  MediaRepeat = "media-repeat",
  MediaStop = "media-stop",
  MediaSubtitle = "media-subtitle",
  MediaVolumeMute = "media-volume-mute",
  MediaVolumeUp = "media-volume-up",
  MsgExclamation = "msg-exclamation",
  MsgInfo = "msg-info",
  MsgQuestion = "msg-question",
  NavAngleDown = "nav-angle-down",
  NavAngleLeft = "nav-angle-left",
  NavAngleRight = "nav-angle-right",
  NavAngleUp = "nav-angle-up",
  NavArrowDown = "nav-arrow-down",
  NavArrowLeft = "nav-arrow-left",
  NavArrowRight = "nav-arrow-right",
  NavArrowUp = "nav-arrow-up",
  NavCaretDown = "nav-caret-down",
  NavCaretLeft = "nav-caret-left",
  NavCaretRight = "nav-caret-right",
  NavCaretUp = "nav-caret-up",
}

export const LIMBOICONS_CODEPOINTS: { [key in Limboicons]: string } = {
  [Limboicons.FileAudio]: "59906",
  [Limboicons.FileDownload]: "59936",
  [Limboicons.FileImage]: "59905",
  [Limboicons.FileLink]: "59910",
  [Limboicons.FileNote]: "59908",
  [Limboicons.FileStream]: "59911",
  [Limboicons.FileTask]: "59909",
  [Limboicons.FileUpload]: "59937",
  [Limboicons.FileVideo]: "59907",
  [Limboicons.File]: "59904",
  [Limboicons.FolderOpen]: "59649",
  [Limboicons.Folder]: "59648",
  [Limboicons.GenBookmark]: "57390",
  [Limboicons.GenBroom]: "57392",
  [Limboicons.GenCheck]: "57380",
  [Limboicons.GenClipboard]: "57350",
  [Limboicons.GenClose]: "57363",
  [Limboicons.GenCopy]: "57371",
  [Limboicons.GenDelete]: "57348",
  [Limboicons.GenDownload]: "57345",
  [Limboicons.GenEdit]: "57383",
  [Limboicons.GenEraser]: "57359",
  [Limboicons.GenEye]: "57370",
  [Limboicons.GenHdd]: "57347",
  [Limboicons.GenHome]: "57344",
  [Limboicons.GenLinkExternal]: "57386",
  [Limboicons.GenLink]: "57374",
  [Limboicons.GenLogin]: "57352",
  [Limboicons.GenLogout]: "57353",
  [Limboicons.GenMenu]: "57351",
  [Limboicons.GenMinus]: "57369",
  [Limboicons.GenMoreV]: "57361",
  [Limboicons.GenMove]: "57391",
  [Limboicons.GenNetwork]: "57378",
  [Limboicons.GenNote]: "57389",
  [Limboicons.GenOk]: "57372",
  [Limboicons.GenOpen]: "57382",
  [Limboicons.GenPlus]: "57368",
  [Limboicons.GenPower]: "57364",
  [Limboicons.GenRead]: "57385",
  [Limboicons.GenRefresh]: "57373",
  [Limboicons.GenRun]: "57377",
  [Limboicons.GenSave]: "57362",
  [Limboicons.GenSearch]: "57358",
  [Limboicons.GenServer]: "57379",
  [Limboicons.GenSettings]: "57349",
  [Limboicons.GenShare]: "57376",
  [Limboicons.GenSpinner]: "57384",
  [Limboicons.GenStarFilled]: "57388",
  [Limboicons.GenStar]: "57387",
  [Limboicons.GenSync]: "57367",
  [Limboicons.GenTag]: "57360",
  [Limboicons.GenToggleOff]: "57365",
  [Limboicons.GenToggleOn]: "57366",
  [Limboicons.GenUncheck]: "57381",
  [Limboicons.GenUnlink]: "57375",
  [Limboicons.GenUpload]: "57346",
  [Limboicons.LayoutCompress]: "58627",
  [Limboicons.LayoutExpand]: "58626",
  [Limboicons.LayoutGrid]: "58625",
  [Limboicons.LayoutList]: "58624",
  [Limboicons.LayoutMaximize]: "58628",
  [Limboicons.LayoutMinimize]: "58629",
  [Limboicons.MapMarker]: "59137",
  [Limboicons.Map]: "59136",
  [Limboicons.MediaAudio]: "59400",
  [Limboicons.MediaNext]: "59396",
  [Limboicons.MediaPause]: "59395",
  [Limboicons.MediaPlay]: "59393",
  [Limboicons.MediaPlayer]: "59401",
  [Limboicons.MediaPrev]: "59397",
  [Limboicons.MediaRandom]: "59398",
  [Limboicons.MediaRepeat]: "59399",
  [Limboicons.MediaStop]: "59394",
  [Limboicons.MediaSubtitle]: "59392",
  [Limboicons.MediaVolumeMute]: "59402",
  [Limboicons.MediaVolumeUp]: "59403",
  [Limboicons.MsgExclamation]: "58882",
  [Limboicons.MsgInfo]: "58880",
  [Limboicons.MsgQuestion]: "58881",
  [Limboicons.NavAngleDown]: "58400",
  [Limboicons.NavAngleLeft]: "58401",
  [Limboicons.NavAngleRight]: "58402",
  [Limboicons.NavAngleUp]: "58403",
  [Limboicons.NavArrowDown]: "58368",
  [Limboicons.NavArrowLeft]: "58369",
  [Limboicons.NavArrowRight]: "58370",
  [Limboicons.NavArrowUp]: "58371",
  [Limboicons.NavCaretDown]: "58384",
  [Limboicons.NavCaretLeft]: "58385",
  [Limboicons.NavCaretRight]: "58386",
  [Limboicons.NavCaretUp]: "58387",
};
